Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.blobstore
Class UploadOptions.Builder

    java.lang.Object
      com.google.appengine.api.blobstore.UploadOptions.Builder

Enclosing class:
  UploadOptions

    public static final class UploadOptions.Builder

extends java.lang.Object

Contains static creation methods for `UploadOptions`.

Method Summary
`static UploadOptions` | `withDefaults()` Returns default `UploadOptions` with default values.
`static UploadOptions` | `withGoogleStorageBucketName(java.lang.String gsBucketName)` Returns default `UploadOptions` and calls `UploadOptions.googleStorageBucketName(String)`.
`static UploadOptions` | `withMaxUploadSizeBytes(long maxUploadSizeBytes)` Returns default `UploadOptions` and calls `UploadOptions.maxUploadSizeBytes(long)`.
`static UploadOptions` | `withMaxUploadSizeBytesPerBlob(long maxUploadSizeBytesPerBlob)` Returns default `UploadOptions` and calls `UploadOptions.maxUploadSizeBytesPerBlob(long)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### withMaxUploadSizeBytes

    public static UploadOptions withMaxUploadSizeBytes(long maxUploadSizeBytes)

  Returns default `UploadOptions` and calls `UploadOptions.maxUploadSizeBytes(long)`.

### withMaxUploadSizeBytesPerBlob

    public static UploadOptions withMaxUploadSizeBytesPerBlob(long maxUploadSizeBytesPerBlob)

  Returns default `UploadOptions` and calls `UploadOptions.maxUploadSizeBytesPerBlob(long)`.

### withGoogleStorageBucketName

    public static UploadOptions withGoogleStorageBucketName(java.lang.String gsBucketName)

  Returns default `UploadOptions` and calls `UploadOptions.googleStorageBucketName(String)`.

### withDefaults

    public static UploadOptions withDefaults()

  Returns default `UploadOptions` with default values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD